View Issue Details

IDProjectCategoryView StatusLast Update
0003064SymmetricDSNew Featurepublic2017-04-27 11:00
ReporterelongAssigned Toelong 
PriorityhighSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.21 
Target Version3.8.21Fixed in Version3.8.21 
Summary0003064: Allow the event action on group links to be overridden
DescriptionAllow the event action on group links to be overridden. The config may have B waits for pull from A, but the user needs some tables to sync with B pushes to A.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 f4199051

2017-04-19 21:39:09

admin

Details Diff
0003064: Allow the event action on group links to be overridden
0003064
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Channel.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeGroupLinkAction.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 06314f31

2017-04-20 09:31:34

admin

Details Diff
0003064: Allow the event action on group links to be overridden
0003064
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IOutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File

SymmetricDS: 3.8 9e3f1dae

2017-04-20 09:49:48

mmichalek

Details Diff
0003064: Allow the event action on group links to be overridden
0003064
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Channel.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeChannel.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeGroupLinkAction.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File

SymmetricDS: 3.8 48d3f2d7

2017-04-20 10:39:40

admin

Details Diff
0003064: Allow the event action on group links to be overridden
0003064
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 3a874cba

2017-04-20 10:59:31

admin

Details Diff
0003064: Allow the event action on group links to be overridden
0003064
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeGroupLinkAction.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File

SymmetricDS: 3.8 a68eec02

2017-04-20 11:00:28

mmichalek

Details Diff
0003064: Allow the event action on group links to be overridden
0003064
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeGroupLink.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File

SymmetricDS: 3.8 4d6be782

2017-04-20 12:34:18

admin

Details Diff
0003064: Allow the event action on group links to be overridden
0003064
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IOutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File

SymmetricDS: 3.8 b5d4c053

2017-04-21 13:29:43

admin

Details Diff
0003064: Allow the event action on group links to be overridden
0003064
mod - symmetric-assemble/src/asciidoc/configuration/channels.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/group-links.ad Diff File
mod - symmetric-assemble/src/asciidoc/tutorials/tutorials.ad Diff File
mod - symmetric-assemble/src/asciidoc/user-guide.ad Diff File

Issue History

Date Modified Username Field Change
2017-04-19 21:37 elong New Issue
2017-04-19 21:37 elong Status new => assigned
2017-04-19 21:37 elong Assigned To => elong
2017-04-19 22:00 admin Changeset attached => SymmetricDS 3.8 f4199051
2017-04-20 10:00 mmichalek Changeset attached => SymmetricDS 3.8 9e3f1dae
2017-04-20 10:00 admin Changeset attached => SymmetricDS 3.8 06314f31
2017-04-20 11:00 admin Changeset attached => SymmetricDS 3.8 3a874cba
2017-04-20 11:00 admin Changeset attached => SymmetricDS 3.8 48d3f2d7
2017-04-20 12:00 mmichalek Changeset attached => SymmetricDS 3.8 a68eec02
2017-04-20 13:00 admin Changeset attached => SymmetricDS 3.8 4d6be782
2017-04-20 14:14 elong Status assigned => resolved
2017-04-20 14:14 elong Fixed in Version => 3.8.21
2017-04-20 14:14 elong Resolution open => fixed
2017-04-20 14:22 chenson Status resolved => closed
2017-04-27 11:00 admin Changeset attached => SymmetricDS 3.8 b5d4c053